Name:		net_monitor
Version:	0.16
Release:	%mkrel 1
Summary:	Network monitoring tool
License:	GPLv2
Group:	 	Monitoring
Url:		http://gitweb.mageia.org/software/net_monitor/
Source0:	%{name}-%{version}.tar.xz
Patch0:         net_monitor-0.12-agnotic-distro.patch
Requires:	vnstat
Requires:	python-gi-cairo
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	libiw-devel

%description
This is a network monitoring tool, intended to replace the old net_monitor from
drakx-net. It supports graphical network monitoring and some advanced features,
such as network profiling, activity monitoring, detailed logging and network
traffic statistics with help of vnstat reporting.

%prep
%setup -q
%patch0 -p0

%build
make all

%install
rm -rf %{buildroot}
make install
mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}.log

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS TODO
%_bindir/%{name}
%{_sysconfdir}/sysconfig/network-scripts/if*.d/netmonitor*
%{py_platsitedir}/%{name}-%{version}-py*
%{py_platsitedir}/%{name}
%ghost %{_logdir}/%{name}.log


%changelog
* Mon Feb 10 2014 tv <tv> 0.16-1.mga4
+ Revision: 588994
- fix missing interface name in message
- fix treating UTF-8 strings as ascii (mga#12047)
- silent a warning when there's no wireless device

* Wed Dec 18 2013 tv <tv> 0.15-1.mga4
+ Revision: 558354
- updated translations

* Tue Nov 26 2013 zezinho <zezinho> 0.14-2.mga4
+ Revision: 553605
- add python-gi-cairo requires to show graph

* Wed Nov 20 2013 tv <tv> 0.14-1.mga4
+ Revision: 552026
- port to gtk3 using introspection
- drop manual requires

* Wed Nov 06 2013 tmb <tmb> 0.13-1.mga4
+ Revision: 549819
- update to 0.13

* Tue Nov 05 2013 tmb <tmb> 0.12-1.mga4
+ Revision: 549729
- update to 0.12

* Tue Oct 22 2013 luigiwalser <luigiwalser> 0.11-8.mga4
+ Revision: 546356
- fix URL

* Tue Oct 22 2013 umeabot <umeabot> 0.11-7.mga4
+ Revision: 542841
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.11-6.mga4
+ Revision: 497959
- Rebuild to add different pythonegg provides for python 2 and 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 dmorgan <dmorgan> 0.11-4.mga1
+ Revision: 61179
- Add missing patch
- Make net_monitor not related to a specific distro

* Sun Feb 27 2011 ahmad <ahmad> 0.11-3.mga1
+ Revision: 61177
- use a distro-generic description, should fix (mga #224)

* Sun Feb 20 2011 dmorgan <dmorgan> 0.11-2.mga1
+ Revision: 54763
- imported package net_monitor

